package utils

import (
	"log"
	"regexp"
	"strings"
)

// Smart splitter

func ParseField(s string) []string {
	res := []string{}

	re := regexp.MustCompile("[^\\\\]\"") // Non escaped '"'

	fparts := re.Split(s, -1)
	log.Println("Field parts", fparts)

	for i, v := range fparts {
		if i&0x1 == 1 { // Even
			res = append(res, v)
			continue
		}
		res = append(res, strings.Split(v, " ")...)
	}

	return res

}
